#include <sthread.h>

#ifndef SLEEP_TIME
#define SLEEP_TIME 300
#endif

#ifndef COUNTER_NUM
#define COUNTER_NUM 1000000
#endif

static int Is_off = 1;

void io_delay_on()
{
   Is_off = 0;
}

void io_delay_simulator()
{
   if (Is_off) {
      return;
   }
#ifdef SLEEP_ON
   sthread_sleep(SLEEP_TIME);
#else
   int count = COUNTER_NUM;
   while(count > 0) {
      count--;
   }
#endif
}

void io_delay_read_block()
{
   io_delay_simulator();
}

void io_delay_write_block()
{
   io_delay_simulator();
}

